org.apache.ignite.internal.pagemem

## Interface PageMemory

All Superinterfaces:
  PageIdAllocator, PageSupport

All Known Subinterfaces:
  PageMemoryEx

All Known Implementing Classes:
  PageMemoryImpl, PageMemoryNoStoreImpl

    public interface PageMemory
    extends PageIdAllocator, PageSupport

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.pagemem.PageIdAllocator

`FLAG_AUX, FLAG_DATA, FLAG_IDX, INDEX_PARTITION, MAX_PARTITION_ID, META_PAGE_ID`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `checkpointBufferPagesCount()` Number of pages used in checkpoint buffer.
`long` `loadedPages()`
`DataRegionMetricsImpl` `metrics()` Metrics of the data region this memory is associated with.
`ByteBuffer` `pageBuffer(long pageAddr)`
`int` `pageSize()`
`int` `realPageSize(int grpId)`
`void` `start()` Start page memory.
`void` `stop(boolean deallocate)` Stop page memory.
`int` `systemPageSize()`

### Methods inherited from interface org.apache.ignite.internal.pagemem.PageIdAllocator

`allocatePage, freePage`

### Methods inherited from interface org.apache.ignite.internal.pagemem.PageSupport

`acquirePage, acquirePage, isDirty, readLock, readLockForce, readUnlock, releasePage, tryWriteLock, writeLock, writeUnlock`

### Method Detail

#### start

    void start()
        throws IgniteException

Start page memory.

Throws:
  `IgniteException`

#### stop

    void stop(boolean deallocate)
       throws IgniteException

Stop page memory.

Parameters:
  `deallocate` - `True` to deallocate memory, `false` to allow memory reuse on subsequent `start()`
Throws:
  `IgniteException`

#### pageSize

    int pageSize()

Returns:
  Page size in bytes.

#### realPageSize

    int realPageSize(int grpId)

Parameters:
  `grpId` - Group id.
Returns:
  Page size without encryption overhead.

#### systemPageSize

    int systemPageSize()

Returns:
  Page size with system overhead, in bytes.

#### pageBuffer

    ByteBuffer pageBuffer(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Page byte buffer.

#### loadedPages

    long loadedPages()

Returns:
  Total number of loaded pages in memory.

#### checkpointBufferPagesCount

    int checkpointBufferPagesCount()

Number of pages used in checkpoint buffer.

#### metrics

    DataRegionMetricsImpl metrics()

Metrics of the data region this memory is associated with.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022